summaryrefslogtreecommitdiffstats
path: root/source/l/libcap
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libcap')
-rwxr-xr-xsource/l/libcap/libcap.SlackBuild10
-rw-r--r--source/l/libcap/libcap.capability.h.fix.broken.includes.diff14
-rw-r--r--source/l/libcap/libcap.url1
-rw-r--r--source/l/libcap/slack-desc2
4 files changed, 6 insertions, 21 deletions
diff --git a/source/l/libcap/libcap.SlackBuild b/source/l/libcap/libcap.SlackBuild
index 9b8c41192..aef4d9890 100755
--- a/source/l/libcap/libcap.SlackBuild
+++ b/source/l/libcap/libcap.SlackBuild
@@ -26,9 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libcap
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-2}
-
-NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -48,6 +46,8 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -75,8 +75,6 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
cd $PKGNAM-$VERSION || exit 1
-zcat $CWD/libcap.capability.h.fix.broken.includes.diff.gz | patch -p1 || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -92,7 +90,7 @@ sed 's@^BUILD_GPERF@#\0@' -i Make.Rules
make DYNAMIC=yes $NUMJOBS || make DYNAMIC=yes || exit 1
-make install FAKEROOT=$PKG man_prefix=/usr || exit 1
+make install RAISE_SETFCAP=no DESTDIR=$PKG man_prefix=/usr || exit 1
chmod 755 $PKG/lib${LIBDIRSUFFIX}/libcap.so*
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
diff --git a/source/l/libcap/libcap.capability.h.fix.broken.includes.diff b/source/l/libcap/libcap.capability.h.fix.broken.includes.diff
deleted file mode 100644
index dcf01e7a5..000000000
--- a/source/l/libcap/libcap.capability.h.fix.broken.includes.diff
+++ /dev/null
@@ -1,14 +0,0 @@
---- ./libcap/include/sys/capability.h.orig 2009-08-27 00:01:01.000000000 -0500
-+++ ./libcap/include/sys/capability.h 2011-02-08 14:24:36.000000000 -0600
-@@ -19,9 +19,9 @@
- * information for the user library.
- */
-
--#include <sys/types.h>
--#include <stdint.h>
- #include <linux/types.h>
-+#include <stdint.h>
-+#include <sys/types.h>
-
- /*
- * Required to limit what gets defined in the kernel header file.
diff --git a/source/l/libcap/libcap.url b/source/l/libcap/libcap.url
new file mode 100644
index 000000000..d486e4c10
--- /dev/null
+++ b/source/l/libcap/libcap.url
@@ -0,0 +1 @@
+https://mirrors.edge.kernel.org/pub/linux/libs/security/linux-privs/libcap2/
diff --git a/source/l/libcap/slack-desc b/source/l/libcap/slack-desc
index 3ca7fc374..e63cc7cec 100644
--- a/source/l/libcap/slack-desc
+++ b/source/l/libcap/slack-desc
@@ -15,5 +15,5 @@ libcap: Libcap was written by Andrew G. Morgan; however, it would not
libcap: have been possible without the help of Aleph1, Roland Buresund,
libcap: Andrew Main, and Alexander Kjeldaas.
libcap:
-libcap:
+libcap: Homepage: http://sites.google.com/site/fullycapable/
libcap: